### Method

# ICalGLib Time normalize

since: 1.0

#### Declaration [src]

    ICalTime*
    i_cal_time_normalize (
      const ICalTime* t
    )

#### Description [src]

Normalizes the icaltime, so that all fields are within the normal range.

Available since: 1.0

#### Return value

Type: `ICalTime`

The `ICalTime` normalized.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.